com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum TagFilter.Type

- java.lang.Object
- - java.lang.Enum<TagFilter.Type>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.TagFilter.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagFilter.Type>
  Enclosing class:
    TagFilter

      public static enum TagFilter.Type
      extends java.lang.Enum<TagFilter.Type>

  Tag Filter Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Include both tagged and untagged objects.
    `TAGS` Include only tagged objects.
    `UNTAGGED` Include only untagged objects.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagFilter.Type` | `forValue(int value)`
    `int` | `getValue()`
    `static TagFilter.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagFilter.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final TagFilter.Type ALL

      Include both tagged and untagged objects.

    - #### UNTAGGED

          public static final TagFilter.Type UNTAGGED

      Include only untagged objects.

    - #### TAGS

          public static final TagFilter.Type TAGS

      Include only tagged objects. The `value` defines the specific tag(s) to include.

  - ### Method Detail

    - #### values

          public static TagFilter.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagFilter.Type c : TagFilter.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagFilter.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static TagFilter.Type forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.